org.apache.fontbox.encoding

## Class BuiltInEncoding

- java.lang.Object
- - org.apache.fontbox.encoding.Encoding
  - - org.apache.fontbox.encoding.BuiltInEncoding

    public class BuiltInEncoding
    extends Encoding

A font's built-in encoding. This is a custom encoding embedded in a font.

Author:
  John Hewson

### Constructor Summary

Constructors
Constructor and Description
`BuiltInEncoding(Map<Integer,String> codeToName)` Constructor.

### Method Summary

### Methods inherited from class org.apache.fontbox.encoding.Encoding

`addCharacterEncoding, getCode, getCodeToNameMap, getName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BuiltInEncoding

    public BuiltInEncoding(Map<Integer,String> codeToName)

Constructor.

Parameters:
  `codeToName` - the given code to name mapping